Summary:	A collection of CP/M tools
Name:		cpmtools
Version:	1.3
Release:	5mdk
License:	Redistributable
Group:		File tools

Source:		%name.tar.bz2
Patch:		cpmtools-%version.diff.bz2

Buildroot:	%_tmppath/%name-buildroot
BuildRequires:	egcs

%description
The cpmtools %version package allows you to create, check, read and write CP/M file
systems similar to the mtools package, which accesses DOS file systems.
Beside the regular user commands, there is a file system editor (read-only
for now).  All features of CP/M file systems are supported.

mkfs.cpm supports Amstrad PCW CF2 and CF2DD file-systems.

%prep

%setup -q
%patch -p1

%build
%make CC="kgcc" CFLAGS="%optflags"

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_mandir/man1
install -d %buildroot/%_mandir/man5
install -d %buildroot/%_sysconfdir

install -c -s -m 755 cpmls %buildroot/%_bindir/cpmls
install -c -s -m 755 cpmcp %buildroot/%_bindir/cpmcp
install -c -s -m 755 cpmrm %buildroot/%_bindir/cpmrm
install -c -s -m 755 mkfs.cpm %buildroot/%_bindir/mkfs.cpm
install -c -s -m 755 fsck.cpm %buildroot/%_bindir/fsck.cpm
install -c -s -m 755 fsed.cpm %buildroot/%_bindir/fsed.cpm

install -c -m 644 diskdefs %buildroot/%_sysconfdir/diskdefs

install -c -m 644 cpmls.1 %buildroot/%_mandir/man1/cpmls.1
install -c -m 644 cpmcp.1 %buildroot/%_mandir/man1/cpmcp.1
install -c -m 644 cpmrm.1 %buildroot/%_mandir/man1/cpmrm.1
install -c -m 644 mkfs.cpm.1 %buildroot/%_mandir/man1/mkfs.cpm.1
install -c -m 644 fsck.cpm.1 %buildroot/%_mandir/man1/fsck.cpm.1
install -c -m 644 fsed.cpm.1 %buildroot/%_mandir/man1/fsed.cpm.1
install -c -m 644 cpm.5 %buildroot/%_mandir/man5/cpm.5

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc ANNOUNCE cpmtools.html
%config(noreplace) %_sysconfdir/diskdefs
%_bindir/*
%_mandir/man1/*
%_mandir/man5/*

%changelog
* Fri Jun 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-5mdk
- rebuild

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-4mdk
- Fix build (use egcs)
- Use optimizations
- Spec clean up

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- BM

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- fix group
- fix files section

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 

* Tue Aug 4 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to 1.3
- built against glibc
- added BuildRoot
- changed install root from /usr/local to /usr               
